# -*- python -*-
# $RCSfile: tests.py,v $
# $Revision: 1.2 $
# $Author: vrc $
# $Date: 2007-09-26 22:03:41 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from generics import *

def sensitization0():
    return (sensitizationCheck({"Temperature defined" : 0,
                               "Temperature active" : 0,
                               "Temperature in-plane" : 0,
                               "Displacement defined" : 0,
                               "Displacement active" : 0,
                               "Displacement in-plane" : 0,
                               "Voltage defined" : 0,
                               "Voltage active" : 0,
                               "Voltage in-plane" : 0},
                              base="OOF2:Fields Page:Pane:Fields")
            and
            sensitizationCheck({"Set Init" : 0,
                                "CopyField" : 0},
                               base="OOF2:Fields Page:Pane"))

def sensitization1():
    return (sensitizationCheck({"Temperature defined" : 1,
                               "Temperature active" : 0,
                               "Temperature in-plane" : 0,
                               "Displacement defined" : 1,
                               "Displacement active" : 0,
                               "Displacement in-plane" : 0,
                               "Voltage defined" : 1,
                               "Voltage active" : 0,
                               "Voltage in-plane" : 0},
                              base="OOF2:Fields Page:Pane:Fields")
            and
            sensitizationCheck({"Set Init" : 0,
                                "CopyField" : 1},
                               base="OOF2:Fields Page:Pane"))

def sensitization2():
    return (sensitizationCheck({"Temperature defined" : 1,
                               "Temperature active" : 1,
                               "Temperature in-plane" : 1,
                               "Displacement defined" : 1,
                               "Displacement active" : 0,
                               "Displacement in-plane" : 0,
                               "Voltage defined" : 1,
                               "Voltage active" : 0,
                               "Voltage in-plane" : 0},
                              base="OOF2:Fields Page:Pane:Fields")
            and
            sensitizationCheck({"Set Init" : 0,
                                "CopyField" : 1},
                               base="OOF2:Fields Page:Pane"))

def sensitization3():
    return (sensitizationCheck({"Temperature defined" : 1,
                               "Temperature active" : 1,
                               "Temperature in-plane" : 1,
                               "Displacement defined" : 1,
                               "Displacement active" : 0,
                               "Displacement in-plane" : 0,
                               "Voltage defined" : 1,
                               "Voltage active" : 0,
                               "Voltage in-plane" : 0},
                              base="OOF2:Fields Page:Pane:Fields")
            and
            sensitizationCheck({"Set Init" : 1,
                                "CopyField" : 1},
                               base="OOF2:Fields Page:Pane"))

def sensitization4():
    return (sensitizationCheck({"Temperature defined" : 1,
                               "Temperature active" : 0,
                               "Temperature in-plane" : 0,
                               "Displacement defined" : 1,
                               "Displacement active" : 1,
                               "Displacement in-plane" : 1,
                               "Voltage defined" : 1,
                               "Voltage active" : 0,
                               "Voltage in-plane" : 0},
                              base="OOF2:Fields Page:Pane:Fields")
            and
            sensitizationCheck({"Set Init" : 0,
                                "CopyField" : 1},
                               base="OOF2:Fields Page:Pane"))

def buttonCheck1():
    b1=gtklogger.findWidget('OOF2:Fields Page:Pane:Fields:Displacement defined')
    b2=gtklogger.findWidget('OOF2:Fields Page:Pane:Fields:Displacement active')
    b3=gtklogger.findWidget('OOF2:Fields Page:Pane:Fields:Displacement in-plane')
    return b1.get_active() and b2.get_active() and b3.get_active()


def fieldListCheck(*fieldnames):
    from ooflib.SWIG.engine import field
    return treeViewColCheck('OOF2:Fields Page:Pane:InitScroll:Initializers',
                            0,  map(field.getCompoundField, fieldnames))
